Name:           javasqlite
Version:        20120209
Release:        %mkrel 2
Summary:        SQLite Java Wrapper/JDBC Driver

Group:          Development/Java
License:        BSD
URL:            http://www.ch-werner.de/javasqlite/
Source0:        http://www.ch-werner.de/javasqlite/%{name}-%{version}.tar.gz
# jnipath: Fedora specific, no need to send upstream
Patch0:         javasqlite-20110106-jnipath.patch
BuildRequires:  sqlite3-devel
BuildRequires:  java-rpmbuild
BuildRequires:  java-javadoc
BuildRequires:  libtool

%description
javasqlite is a Java wrapper including a basic JDBC driver for the
SQLite 2/3 database engine. It is designed using JNI to interface to
the SQLite API.

%package        javadoc
Summary:        API documentation for %{name}
Group:          Development/Java
BuildArch:	noarch
Requires:       java-javadoc

%description    javadoc
API documentation for %{name}.

%prep
%setup -q
%{__sed} -e 's|\@JNIPATH\@|%{_libdir}/%{name}|' %{PATCH0} | patch -p1
%{__sed} -i -e 's/\r$//g' doc/ajhowto.txt
f=ChangeLog ; iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f

%build
%{configure2_5x} \
    --with-jdk=%{java_home} \
    --with-jardir=%{_jnidir} \
    --libdir=%{_libdir}/%{name}
%{__make}
%{__make} javadoc JAVADOCLINK=%{_javadocdir}/java

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std} LIBTOOL=%{_bindir}/libtool

#we don't want these
%{__rm} %{buildroot}%{_libdir}/%{name}/libsqlite_jni.*a

#javadocs
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a doc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

#%check
#%{make} test

%files
%defattr(-,root,root)
%doc ChangeLog license.terms
%{_jnidir}/sqlite.jar
%{_libdir}/%{name}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 20120209-2.mga3
+ Revision: 354846
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 20120209-1.mga3
+ Revision: 318169
- fix build
- new version 20120209 (build with sqlite3)

* Fri Feb 18 2011 wally <wally> 20110106-1.mga1
+ Revision: 53538
- new version 20110106
- sync patches with Fedora
- tag javadoc subpackage as noarch
- clean .spec
- imported package javasqlite

